Announcement

Collapse
No announcement yet.

4DPi-24-HAT kernel for Debian Stretch (and/or Buster)

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • 4DPi-24-HAT kernel for Debian Stretch (and/or Buster)

    So, I rather stupidly "over-upgraded" Debian on my Raspberry Pi B+ with 24-HAT all the way to Buster without first checking the docs on 4dsystems.com.au to see if it should work, and, not surprisingly, the system won't boot. If I revert to the regular RPi Debian kernel, the system boots fine and the HAT is simply ignored/off, but if I install Kernel 4.4.50 ( http://www.4dsystems.com.au/download...50_v1.0.tar.gz with instructions http://www.4dsystems.com.au/productp...heet_R_1_9.pdf ), it will not boot. The system hangs at the multi-color/rainbow boot screen.

    Is this kernel currently supposed to work with Stretch and Buster, or do I need to wait for a newer version? If it is supposed to work, I will spend more time troubleshooting; otherwise no big deal -- I'll just reinstall Debian Jessie.

  • #2
    Hello,

    Welcome to the forum.

    The 4Dpi-24-HAT works perfectly well with Debian Jessie It would be best to revert back to this version until a newer version is available.

    I hope this helps

    Best regards

    Paul

    Comment


    • #3
      Is there an update to this? Is there a kernel for stretch yet?

      Comment


      • #4
        Hello,

        Welcome to the forum.

        This should work with Stretch

        On terminal:
        $ wget http://www.4dsystems.com.au/download...35_v1.0.tar.gz
        $ sudo tar -xzvf 4d-hats_4-9-35_v1.0.tar.gz -C /

        Please make sure the jumper is set to the ON/OFF position

        Best regards,

        Paul

        Comment


        • #5
          Yep, it worked once I moved the jumper. I used this 4DPi-24-HAT on a different RPi several years ago, and it worked fine with the jumper in the other position. I didn't notice it mentioned in the manual, guess I missed it.

          Thanks,
          Tom

          Comment


          • #6
            Dear pauleilio,
            thank you for providing the tar. Do you plan on updating the sources at https://bitbucket.org/4DPi/4d-hats/ for compatibility with kernel 4.9.z so we can compile our own kernel? (ref. http://forum.4dsystems.com.au/forum/...anch-rpi-4-9-y)
            Best regards
            Peter

            Comment


            • #7
              Hi Peter

              There is a new repo which is being used, as we have new modules coming out in the new year. You can use this to generate source for the current modules though.

              https://bitbucket.org/4DPi/gen4-hats

              and here is the current built kernel pack which is available for public testing. This will be made official soon.

              http://www.4dsystems.com.au/download...59_v1.1.tar.gz

              I hope that helps

              Regards
              James

              Comment


              • #8
                Dear James,

                thank you for your quick reply. Unfortunately access to your new bitbucket repository is restricted. My username on bitbucket is PPDMDE in case you can give me access? Since my project uses further kernel modifications I can't simply make use of your current testing kernel pack.

                Thank you
                Peter

                Comment


                • #9
                  Hi Peter,

                  it should be possible to compile a 4.9 kernel using sources form https://bitbucket.org/4DPi/4d-hats/. Except for the pwmbl module, which will not be supported any more in the future. There are also new sources attached, which support newer displays that are not being sold yet. These were used to build the http://www.4dsystems.com.au/download...59_v1.1.tar.gz kernel package. Please remove the .txt extension; attachment is a .tar.gz, but forum did not allow me to upload a file with a .gz extension.

                  Regards,
                  Andrej
                  Attached Files

                  Comment


                  • #10
                    4-9-59 does not work with Raspbian Stretch. 4-9-35 works, but only in non-pwm switch setting. The command is also different from the datasheet

                    sudo bash -c "echo 1 > /sys/class/backlight/4d-hats/brightness"

                    Originally posted by strancara View Post
                    Except for the pwmbl module, which will not be supported any more in the future.
                    Why would you remove this useful functionality?

                    Comment


                    • #11
                      4-9-59 should work with latest Raspbian Stretch. What kind of problems are you experiencing?

                      Comment


                      • #12
                        With 4-9-35 after powering up the backlight comes on but the screen stays dark until the console messages start showing at the very end of the startup process.
                        With 4-9-59 the backlight comes on, the screen goes white, and after a while both backlight and screen seemingly turn off. No console messages at any time. I haven't tried anything pygame after that.

                        Comment


                        • #13
                          Found a mistake in /boot/config.txt:

                          # uncomment one of the ovrelays if loading from EEPROM is not supported
                          #dtoverlay=4dpi-32
                          #dtoverlay=4dpi-35
                          #dtoverlay=24-hat
                          #dtoverlay=32-hat
                          #dtoverlay=35-hat
                          #dtoverlay=35b-hat
                          #dtoverlay=4dpi-43
                          dtoverlay=4dpi-43ct
                          #dtoverlay=4dpi-50
                          #dtoverlay=4dpi-50ct
                          #dtoverlay=4dpi-70
                          #dtoverlay=4dpi-70ct

                          dtoverlay=4dpi-43ct should be commented out. It worked for me when after commenting it out;

                          #dtoverlay=4dpi-43ct

                          Comment


                          • #14
                            Yes, that worked for me too, in non-pwm mode. However in pwm mode the screen is blank (the touchscreen works after the usual downgrade to SDL wheezy). The brightness control doesn't accept any values beyond 31, but none of these commands bring the display to life. Any guidance?

                            Comment


                            • #15
                              Hi. Have 4dpi-24-hat hw rev1.02 on my Raspberry 2. Any chance to work with latest Raspberian 2.2 - nov 2017 ?
                              Tryed 4d-hats_4-9-35_v1.0.tar.gz with many correction from net - no success, white screen (no pwm mode), hdmi monitor show last message - rc.local
                              Try gen4-hats_4-9-59_v1.1.tar.gz with comented #dtoverlay=4dpi-43ct , white screen (no pwm mode), hdmi monitor show last message "My IP address is..." from rc.local.

                              If someone get victory with this lcd on rasp 2 please help. Thank you.

                              correction:
                              looked at post http://forum.4dsystems.com.au/forum/...0663#post60663

                              and intall 2017-09-07-raspbian-stretch.img
                              tryed 4d-hats_4-9-35_v1.0.tar.gz and gen4-hats_4-9-59_v1.1.tar.gz with commented #dtoverlay=4dpi-43ct
                              no success

                              So question,
                              what version of raspberian i must install for good working Raspi 2B ?
                              or what I must do for good work on 2017-11-29-raspbian-stretch.img

                              Thank you
                              Last edited by Alex Rasp; 8th January 2018, 06:39 AM.

                              Comment

                              Working...
                              X